aboutsummaryrefslogtreecommitdiffstats
path: root/gobi-api/fixed-GobiAPI-1.0.40/autogen.sh
diff options
context:
space:
mode:
authorAleksander Morgado <aleksander@lanedo.com>2012-07-03 15:41:02 +0200
committerAleksander Morgado <aleksander@lanedo.com>2012-07-03 15:41:02 +0200
commit85b380fcb5ac42d74bede9baa9b94c31b375208e (patch)
tree8d3fff87484bb21934ed3410c4311fe468fed5d9 /gobi-api/fixed-GobiAPI-1.0.40/autogen.sh
parent97abf15a58d06ff9170f728cc4eeefb55055e648 (diff)
core: moved Gobi API sources and utils to their own subdirectories
Diffstat (limited to 'gobi-api/fixed-GobiAPI-1.0.40/autogen.sh')
-rwxr-xr-xgobi-api/fixed-GobiAPI-1.0.40/autogen.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/gobi-api/fixed-GobiAPI-1.0.40/autogen.sh b/gobi-api/fixed-GobiAPI-1.0.40/autogen.sh
new file mode 100755
index 0000000..4fa6c5d
--- /dev/null
+++ b/gobi-api/fixed-GobiAPI-1.0.40/autogen.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+# NOTE
+# This autogen.sh is only used when building libqcdm separately from ModemManager
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+REQUIRED_AUTOMAKE_VERSION=1.7
+PKG_NAME=GobiAPI
+
+(test -f $srcdir/configure.ac \
+ && test -f $srcdir/Core/QDLEnum.h) || {
+ echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+ echo " top-level $PKG_NAME directory"
+ exit 1
+}
+
+(cd $srcdir;
+ mkdir m4
+ autoreconf --install --symlink &&
+ autoreconf &&
+ ./configure --enable-maintainer-mode $@
+)